[arch-commits] Commit in xorg-fonts-75dpi/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 23 15:26:06 EDT 2009


    Date: Thursday, April 23, 2009 @ 15:26:06
  Author: eric
Revision: 36491

Merged revisions 356,36489 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-fonts-75dpi/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36489 | eric | 2009-04-23 15:12:07 -0400 (Thu, 23 Apr 2009) | 2 lines
  
  upgpkg: xorg-fonts-75dpi 1.0.1-2
      Added license
........

Modified:
  xorg-fonts-75dpi/repos/extra-i686/	(properties)
  xorg-fonts-75dpi/repos/extra-i686/PKGBUILD
  xorg-fonts-75dpi/repos/extra-i686/xfonts.install

----------------+
 PKGBUILD       |    8 +++++---
 xfonts.install |    5 -----
 2 files changed, 5 insertions(+), 8 deletions(-)


Property changes on: xorg-fonts-75dpi/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-fonts-75dpi/trunk:1
   + /xorg-fonts-75dpi/trunk:1-36490

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-23 19:12:27 UTC (rev 36490)
+++ extra-i686/PKGBUILD	2009-04-23 19:26:06 UTC (rev 36491)
@@ -7,6 +7,7 @@
 pkgdesc="X.org 75dpi fonts"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 groups=('xorg')
 install=xfonts.install
@@ -20,16 +21,17 @@
          'beb476657d50d07d17eef7c325a5ed08')
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   for dir in font-*-75dpi-1.0.0 font-*-75dpi-1.0.1; do
     pushd ${dir}
       ./configure --prefix=/usr \
                   --with-mapfiles=/usr/share/fonts/util \
 		  --with-fontdir=/usr/share/fonts/75dpi
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-75dpi-*}
     popd
   done
-  rm -f ${startdir}/pkg/usr/share/fonts/75dpi/fonts.*
+  rm -f ${pkgdir}/usr/share/fonts/75dpi/fonts.*
 }
 

Modified: extra-i686/xfonts.install
===================================================================
--- extra-i686/xfonts.install	2009-04-23 19:12:27 UTC (rev 36490)
+++ extra-i686/xfonts.install	2009-04-23 19:26:06 UTC (rev 36491)
@@ -13,8 +13,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list